For the complete documentation index, see llms.txt. This page is also available as Markdown.

List orders

Retrieve a paginated list of mail orders associated with your account. Use this endpoint to monitor your mail services, including their status, plan, attached domain, and expiration details.

List orders

get

Retrieve a paginated list of mail orders associated with your account.

Use this endpoint to monitor your mail services, including their status, plan, attached domain, and expiration details.

Authorizations
AuthorizationstringRequired

API Token authentication

Query parameters
domainstring · nullableOptional

Filter orders by domain name (exact match)

Example: example.com
statusstring · enum · nullableOptional

Filter orders by status

Example: activePossible values:
is_trialboolean · nullableOptional

Filter orders by trial state

Example: false
sortstring · enum · nullableOptional

Sort orders by field. Prefix with - for descending order.

Default: -created_atExample: -created_atPossible values:
pageintegerOptional

Page number

Example: 1
per_pageinteger · max: 100Optional

Number of items per page

Default: 25Example: 25
Responses
200

Success response

application/json
get/api/mail/v1/orders
GET /api/mail/v1/orders HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "OR1a2b3c4d5e6f7g",
      "status": "active",
      "is_trial": false,
      "seats": 5,
      "domain": {
        "id": "DO1a2b3c4d5e6f7g",
        "name": "example.com"
      },
      "plan": {
        "name": "hostinger_free",
        "title": "Free Email"
      },
      "has_pending_upgrade": false,
      "created_at": "2025-02-27T11:54:22Z",
      "expires_at": "2026-02-27T11:54:22Z"
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 15,
    "total": 100
  }
}

Last updated

Was this helpful?